Page MenuHomePhabricator

Special:ManageMessageGroups gets confused after renames and thinks there are more changes
Closed, ResolvedPublic

Description

Scenario (that happened today)

  1. Repository syncing script runs (processMessageChanges.php)
  2. Go to Special:ManageMessageGroups and see that there has been message key renames
  3. Do those renames manually using Special:ReplaceText
  4. Go back to Special:ManageMessageGroups, refresh the page, and submit the changes

Observed:

  • The page shows a heading for the message group which had renames and no changes

Expected:

  • The page says "no changes to process" (or whatever is the exact wording that is normally shown)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 12:25 PM
Nikerabbit triaged this task as Low priority.Mar 14 2019, 12:27 PM

Priority is low because this is a tool used by admins only, and impact is limited to confusion (with potentially reducing trust on the tool) if the admin is not aware of this issue.

abi_ added a subscriber: abi_.
abi_ claimed this task.Apr 21 2019, 7:37 AM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.

Change 505453 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Fix ManageMessageGroups from re-appearing after submission.

https://gerrit.wikimedia.org/r/505453

abi_ moved this task from In Progress to Under Review on the User-abi_ board.Apr 21 2019, 10:55 AM

This would happen even when there were no more messages to process. When rendering the page, messages that are renamed appear as changes but are ignored. They appear as changes again when the submission happens but since nothing is present regarding this message in the request body, the assumption is made that maximum number of post parameters are reached and hence loading the ManageMessageGroups page again. Fixed by adding a check during message processing.

Change 505453 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix ManageMessageGroups from re-appearing after submission

https://gerrit.wikimedia.org/r/505453

abi_ moved this task from Under Review to QA on the User-abi_ board.May 7 2019, 7:57 AM
abi_ removed a project: Patch-For-Review.

Updating status as the patch has been merged.

abi_ closed this task as Resolved.May 29 2019, 7:13 PM
abi_ moved this task from QA to Done on the User-abi_ board.

Tested this on Translatewiki.net.

Renamed a bunch of messages today, and submitted. Saw the appropriate response appear,

Message definitions have been updated. Changes are being processed in the background.